version: '3'    #指定compose版本

# 定义容器所在网络
networks:
  jxit:
    driver: bridge

# 定义服务
services:
  jxcms:                                # 服务名称
    image: 10.10.10.21:5000/jxcms:231201-62              #指定镜像名称
    container_name: jxcms               #启动后的容器名称
    restart: always                     #down掉自动重启
    environment:                        #设置环境变量
      - MYSQL_ADDR=jxmysql
    depends_on:
      - jxmysql
    networks:
      - jxit
  jxsy:                                 # 服务名称
    image: 10.10.10.21:5000/jxsy:231201-63               #指定镜像名称
    container_name: jxsy                #启动后的容器名称
    restart: always                     #down掉自动重启
    environment:                        #设置环境变量
      - MYSQL_ADDR=jxmysql
    depends_on:
      - jxmysql
    networks:
      - jxit

  jxnginx:                                 # 服务名称
    image: 10.10.10.21:5000/jxnginx:1.0                  #指定镜像名称
    container_name: jxnginx             #启动后的容器名称
    restart: always                     #down掉自动重启
    environment:                        #设置环境变量
      - JXCMS_ADDR=jxcms
      - JXSY_ADDR=jxsy
    volumes:
      - /var/lib/:/var/www/html/
    ports:                              #映射出来的端口
      - 80:80
    depends_on:
      - jxcms
      - jxsy
    networks:
      - jxit
    logging:              #日志设置
      driver: "syslog"    #指定日志设备的发送协议
      options:  
        syslog-address: "udp://127.0.0.1:514" #日志连接地址
        tag: "jxnginx"                        #日志标签

  jxmysql:                                 # 服务名称
    image: mysql:5.7                    #指定镜像名称
    container_name: jxmysql             #启动后的容器名称
    restart: always                     #down掉自动重启
    environment:                        #设置环境变量
      - MYSQL_ROOT_PASSWORD=123456
    volumes:
      - /var/lib/jxdata/:/var/lib/mysql/
    networks:
      - jxit
    logging:              #日志设置
      driver: "syslog"    #指定日志设备的发送协议
      options:  
        syslog-address: "udp://127.0.0.1:514" #日志连接地址
        tag: "jxmysql"                        #日志标签
